Ubuntu

Crash from ide_pci from generic.ko for jmicron controllers

Reported by Higinio Raventós on 2007-02-13
228
This bug affects 2 people
Affects Status Importance Assigned to Milestone
linux-source-2.6.20 (Ubuntu)
Critical
Ben Collins
Nominated for Feisty by Moritz Schneider

Bug Description

Today I did a dist-upgrade and it downloaded many things, included the new Kernel 2.6.20-8 and installed them correctly. I am currently using the previous kernel version (2.6.20-6).

Since today everything had worked fine, but now when grub loads, I select the latest Kernel and the bootslplash appears, the progressbar does not make any progress. If I press Ctrl+Alt+F4 I see the message:

run_progess `/sbin/modprobe` abnormal exit

EDIT: Same bug in the new Kernel (2.6.20-9)
EDIT2: Same bug in the new Kernel (2.6.20-10)
EDIT3: Same bug in the new Kernel (2.6.20-11)
EDIT3: Same bug in the new Kernel (2.6.20-12)

Brian Murray (brian-murray) wrote :

Thanks for your bug report. Could you please try booting the new kernel without the 'usplash' and 'quiet' options and report back with what you find? Thanks in advance.

Higinio Raventós (higiraven) wrote :

I did that and now I can see the whole error message:

[1.979033] udevd-event [2023]: run_program: '/sbin/modprobe' abnormal exit

Higinio Raventós (higiraven) wrote :

more people in ubuntuforums seems to be having a similar problem. Do you need more information?

http://ubuntuforums.org/showthread.php?t=361007

Changed in linux-source-2.6.20:
assignee: brian-murray → nobody
importance: Undecided → Medium
status: Needs Info → Confirmed
Laurent GUERBY (laurent-guerby) wrote :

I have an all SATA system (AHCI activated in BIOS of Gigabyte GA-965GM-S2 motherboard, 64 bits core 2 duo) and 2.6.20-8 freezes during boot before mounting disks whereas 2.6.20-6 boot and works just fine.

William Chen (revite) wrote :

I am getting the same error except on my computer the error is followed by:

BusyBox v1.1.3(Debian 1:1.1.3-3ubuntu2) Built-in shell (ash)
Enter `help` for a list of built in commands

/bin/sh: can't access tty; job control turned off
(initramfs)

Thomas Hotz (thotz) wrote :

I'm getting the same error message with Feisty Herd 4.

run_program: '/sbin/modprobe' abnormal exit

Seif Lotfy (seif) wrote :

I also get the same error using an Asus P5B-VM DO motherboard (G965) and an core 2 duo
HDD is SATA working as a raid and IDE DVD-RAM

but even the 2.6.20-6 amd 5 don't work
thats why i am using the 2.16.17-10 kernel

Gaëtan Petit (gaetanp) wrote :

does some of those bug report are similar to this : https://bugs.launchpad.net/ubuntu/+source/linux-source-2.6.20/+bug/83313

We are many users to report serial ata not to work in feisty

Please check if your S-ata drives are recognized

Higinio Raventós (higiraven) wrote :

I have also got a S-ATA drive...

I think this should be a critical bug as all the people with S-ATA drives cannot even boot.

Info on my system.

FiNeX (finex) wrote :

I've tried both herd3 and herd4: the system doesn't correctly recognise my SATA HD. This is the controller:
00:1f.2 IDE interface: Intel Corporation 82801EB (ICH5) SATA Controller (rev 02)

I've this errors on dmesg (and on the others logfiles)

Feb 19 10:08:59 ubuntu kernel: [ 2403.853220] hdg: DMA interrupt recovery
Feb 19 10:08:59 ubuntu kernel: [ 2403.853226] hdg: lost interrupt
Feb 19 10:09:19 ubuntu kernel: [ 2423.828414] hdg: dma_timer_expiry: dma status == 0x24

From /dev/ i see hdg, hgd1,..., hdg7 (the partition of my SATA HD) but them are not accessible. If I try to mount or fdisk the shell freze and on the log file I've:

Feb 19 10:08:59 ubuntu kernel: [ 2403.853220] hdg: DMA interrupt recovery
Feb 19 10:08:59 ubuntu kernel: [ 2403.853226] hdg: lost interrupt
Feb 19 10:09:19 ubuntu kernel: [ 2423.828414] hdg: dma_timer_expiry: dma status == 0x24

Higinio Raventós (higiraven) wrote :

BTW, since Kernel 2.6.17 I get this warning message just after selecting the kernel I'm booting:

"Cannot allocate resource region 2 of device 3.00.0
Cannot allocate resource region 3 of device 3.00.0"

If I "lspci" that device is:

03:00.0 IDE interface: JMicron Technologies, Inc. JMicron 20360/20363 AHCI Controller (rev 02)

I think it is related to this bug.

Higinio Raventós (higiraven) wrote :

Today I downloaded Xubuntu 7.04 Herd 4.

While booting, I got exactly the same error followed by:

"/bin/sh/: can't access tty; job control turned off."

Hope it helps.

Seif Lotfy (seif) wrote :

I think it has soemthing to do with jmicron
i turned it off in the bios and now it boots
i need it though for my ide dvd-rom

Higinio Raventós (higiraven) wrote :

Yes! That's it. I turned off in the BIOS the JMicron SATA/PATA controller and now it works. I cannot use my CD/DVD-ROM now but can boot.

try turning off your jmicron controller from the bios
you wil lget ti to work but without the dvd-ram :)

On Sun, 2007-02-18 at 10:43 +0000, Seif Lotfy wrote:
> I also get the same error using an Asus P5B-VM DO motherboard (G965) and an core 2 duo
> HDD is SATA working as a raid and IDE DVD-RAM
>
> but even the 2.6.20-6 amd 5 don't work
> thats why i am using the 2.16.17-10 kernel
>

i have the same bug but no options in bios and i agree it is a critical bug

i also think it might be a duplicate of https://launchpad.net/ubuntu/+source/linux-source-2.6.20/+bug/78288

Ben Collins (ben-collins) wrote :

Can someone send dmesg output for this?

Changed in linux-source-2.6.20:
importance: Medium → High
Higinio Raventós (higiraven) wrote :
Download full text (28.2 KiB)

Sure.

higi@HIGILINUX:~$ dmesg
[ 0.000000] Linux version 2.6.20-8-generic (root@vernadsky) (gcc version 4.1.2 20070129 (prerelease) (Ubuntu 4.1.1-31ubuntu2)) #2 SMP Tue Feb 13 05:18:42 UTC 2007 (Ubuntu 2.6.20-8.14-generic)
[ 0.000000] BIOS-provided physical RAM map:
[ 0.000000] sanitize start
[ 0.000000] sanitize end
[ 0.000000] copy_e820_map() start: 0000000000000000 size: 000000000009fc00 end: 000000000009fc00 type: 1
[ 0.000000] copy_e820_map() type is E820_RAM
[ 0.000000] copy_e820_map() start: 000000000009fc00 size: 0000000000000400 end: 00000000000a0000 type: 2
[ 0.000000] copy_e820_map() start: 00000000000e4000 size: 000000000001c000 end: 0000000000100000 type: 2
[ 0.000000] copy_e820_map() start: 0000000000100000 size: 000000007fea0000 end: 000000007ffa0000 type: 1
[ 0.000000] copy_e820_map() type is E820_RAM
[ 0.000000] copy_e820_map() start: 000000007ffa0000 size: 000000000000e000 end: 000000007ffae000 type: 3
[ 0.000000] copy_e820_map() start: 000000007ffae000 size: 0000000000032000 end: 000000007ffe0000 type: 4
[ 0.000000] copy_e820_map() start: 000000007ffe0000 size: 0000000000020000 end: 0000000080000000 type: 2
[ 0.000000] copy_e820_map() start: 00000000fee00000 size: 0000000000001000 end: 00000000fee01000 type: 2
[ 0.000000] copy_e820_map() start: 00000000ffb00000 size: 0000000000500000 end: 0000000100000000 type: 2
[ 0.000000] BIOS-e820: 0000000000000000 - 000000000009fc00 (usable)
[ 0.000000] BIOS-e820: 000000000009fc00 - 00000000000a0000 (reserved)
[ 0.000000] BIOS-e820: 00000000000e4000 - 0000000000100000 (reserved)
[ 0.000000] BIOS-e820: 0000000000100000 - 000000007ffa0000 (usable)
[ 0.000000] BIOS-e820: 000000007ffa0000 - 000000007ffae000 (ACPI data)
[ 0.000000] BIOS-e820: 000000007ffae000 - 000000007ffe0000 (ACPI NVS)
[ 0.000000] BIOS-e820: 000000007ffe0000 - 0000000080000000 (reserved)
[ 0.000000] BIOS-e820: 00000000fee00000 - 00000000fee01000 (reserved)
[ 0.000000] BIOS-e820: 00000000ffb00000 - 0000000100000000 (reserved)
[ 0.000000] 1151MB HIGHMEM available.
[ 0.000000] 896MB LOWMEM available.
[ 0.000000] found SMP MP-table at 000ff780
[ 0.000000] Entering add_active_range(0, 0, 524192) 0 entries of 256 used
[ 0.000000] Zone PFN ranges:
[ 0.000000] DMA 0 -> 4096
[ 0.000000] Normal 4096 -> 229376
[ 0.000000] HighMem 229376 -> 524192
[ 0.000000] early_node_map[1] active PFN ranges
[ 0.000000] 0: 0 -> 524192
[ 0.000000] On node 0 totalpages: 524192
[ 0.000000] DMA zone: 32 pages used for memmap
[ 0.000000] DMA zone: 0 pages reserved
[ 0.000000] DMA zone: 4064 pages, LIFO batch:0
[ 0.000000] Normal zone: 1760 pages used for memmap
[ 0.000000] Normal zone: 223520 pages, LIFO batch:31
[ 0.000000] HighMem zone: 2303 pages used for memmap
[ 0.000000] HighMem zone: 292513 pages, LIFO batch:31
[ 0.000000] DMI 2.4 present.
[ 0.000000] ACPI: RSDP (v000 ACPIAM ) @ 0x000fae40
[ 0.000000] ACPI: RSDT (v001 A M I OEMRSDT 0x08000610 MSFT 0x00000097) @ 0x7ffa0000
[ 0.000000] ACPI: FADT (v002 A M I...

Higinio Raventós (higiraven) wrote :

I took last dmesg on Kernel 2.6.20-8 with JMicron Controller disabled. Do you need me to do it in Kernel 2.6.20-6 with JMicron Controller enabled?

Thomas Hotz (thotz) wrote :

Please post the output _with_ JMicron Controller enabled.

Changed in linux-source-2.6.20:
status: Confirmed → Needs Info
Higinio Raventós (higiraven) wrote :
Download full text (30.0 KiB)

higi@HIGILINUX:~$ dmesg
[ 0.000000] Linux version 2.6.20-6-generic (root@palmer) (gcc version 4.1.2 20070106 (prerelease) (Ubuntu 4.1.1-21ubuntu7)) #2 SMP Wed Jan 31 20:53:39 UTC 2007 (Ubuntu 2.6.20-6.11-generic)
[ 0.000000] BIOS-provided physical RAM map:
[ 0.000000] sanitize start
[ 0.000000] sanitize end
[ 0.000000] copy_e820_map() start: 0000000000000000 size: 000000000009fc00 end: 000000000009fc00 type: 1
[ 0.000000] copy_e820_map() type is E820_RAM
[ 0.000000] copy_e820_map() start: 000000000009fc00 size: 0000000000000400 end: 00000000000a0000 type: 2
[ 0.000000] copy_e820_map() start: 00000000000e4000 size: 000000000001c000 end: 0000000000100000 type: 2
[ 0.000000] copy_e820_map() start: 0000000000100000 size: 000000007fea0000 end: 000000007ffa0000 type: 1
[ 0.000000] copy_e820_map() type is E820_RAM
[ 0.000000] copy_e820_map() start: 000000007ffa0000 size: 000000000000e000 end: 000000007ffae000 type: 3
[ 0.000000] copy_e820_map() start: 000000007ffae000 size: 0000000000032000 end: 000000007ffe0000 type: 4
[ 0.000000] copy_e820_map() start: 000000007ffe0000 size: 0000000000020000 end: 0000000080000000 type: 2
[ 0.000000] copy_e820_map() start: 00000000fee00000 size: 0000000000001000 end: 00000000fee01000 type: 2
[ 0.000000] copy_e820_map() start: 00000000ffb00000 size: 0000000000500000 end: 0000000100000000 type: 2
[ 0.000000] BIOS-e820: 0000000000000000 - 000000000009fc00 (usable)
[ 0.000000] BIOS-e820: 000000000009fc00 - 00000000000a0000 (reserved)
[ 0.000000] BIOS-e820: 00000000000e4000 - 0000000000100000 (reserved)
[ 0.000000] BIOS-e820: 0000000000100000 - 000000007ffa0000 (usable)
[ 0.000000] BIOS-e820: 000000007ffa0000 - 000000007ffae000 (ACPI data)
[ 0.000000] BIOS-e820: 000000007ffae000 - 000000007ffe0000 (ACPI NVS)
[ 0.000000] BIOS-e820: 000000007ffe0000 - 0000000080000000 (reserved)
[ 0.000000] BIOS-e820: 00000000fee00000 - 00000000fee01000 (reserved)
[ 0.000000] BIOS-e820: 00000000ffb00000 - 0000000100000000 (reserved)
[ 0.000000] 1151MB HIGHMEM available.
[ 0.000000] 896MB LOWMEM available.
[ 0.000000] found SMP MP-table at 000ff780
[ 0.000000] Entering add_active_range(0, 0, 524192) 0 entries of 256 used
[ 0.000000] Zone PFN ranges:
[ 0.000000] DMA 0 -> 4096
[ 0.000000] Normal 4096 -> 229376
[ 0.000000] HighMem 229376 -> 524192
[ 0.000000] early_node_map[1] active PFN ranges
[ 0.000000] 0: 0 -> 524192
[ 0.000000] On node 0 totalpages: 524192
[ 0.000000] DMA zone: 32 pages used for memmap
[ 0.000000] DMA zone: 0 pages reserved
[ 0.000000] DMA zone: 4064 pages, LIFO batch:0
[ 0.000000] Normal zone: 1760 pages used for memmap
[ 0.000000] Normal zone: 223520 pages, LIFO batch:31
[ 0.000000] HighMem zone: 2303 pages used for memmap
[ 0.000000] HighMem zone: 292513 pages, LIFO batch:31
[ 0.000000] DMI 2.4 present.
[ 0.000000] ACPI: RSDP (v000 ACPIAM ) @ 0x000fae40
[ 0.000000] ACPI: RSDT (v001 A M I OEMRSDT 0x08000610 MSFT 0x00000097) @ 0x7ffa0000
[ 0.000000] ACPI: FADT (v002 A M I OEMFACP ...

Ben, dmesg lspci etc are in my attachment above "2007-02-18 16:28:59 UTC"

Mark McKenzie (mark-errai) wrote :

Hi

I recently did an upgrade from Edgy to Feisty on AMD64 (core 2 duo on an intel p965 chipset w/jmicron PATA) and found the same issue

I nailed it down to a race condition in the boot process. Basically, when you're booting off your local disk, the "piix" driver (the old driver) always wins, and since it seems broken the system doesn't boot. However, when you're booting off CD the ata_piix driver sometimes wins, and you can access your disk.

Proof that it was the piix driver: I ripped apart the initrd for 2.6.20-8, removed /lib/modules/*/kernel/drivers/ide/pci/*, and rebuilt it. Worked like a treat.

A solution might be to have the libata based drivers attempt to load in the boot process before the old style ones. The older drivers don't seem to cause any issues if they're loaded after libata.

Changed in linux-source-2.6.20:
status: Needs Info → Confirmed

I think this is the correct. The piix driver was not supposed to be used, and I have corrected the code which is supposed to disable it for chipsets where ata_piix is preferred.

Changed in linux-source-2.6.20:
assignee: nobody → ben-collins
status: Confirmed → Fix Committed
Higinio Raventós (higiraven) wrote :

Same problem with the new Kernel 2.6.20-9, shall I report a new bug?

description: updated

Yeah, this bug occurs in the new kernel (2.6.20-9). I'm using an iBook G4, and I haven't had this problem with -8 or -6. This is frustrating as -9 was supposed to fix the wireless drivers that -8 broke.

Moritz Schneider (neoxan) wrote :

Got the same problem. With herd 4 and the daily build from today. I also got JMicron Controller, but i cannot disable it because i need it for my Drive.

Same issue with -8 and -9 kernel but not with -6 (on a Gigabyte GA-965P-DS4)

pidgas (pidgas) wrote :

I'm running feisty on an Asus P5W DH Deluxe. It _has_ a JMicron JMB363 SATA controller in it, but it also has a Intel ICH7R Southbridge which controls 3 SATA connectors on the board.

My drives are connected to the Intel ICH7R connectors, not the JMicron. Nothing is plugged into the JMicron and I get the exact same behavior as that described here. Specifically, the boot drive is not recognized, modprobe complains and I end up in Busybox (if I wait long enough). The behavior has been present since the update to 2.6.20-8 and persists in 2.6.20-9. I have not tried disabling the JMicron controller, but will be glad to.

Pid

pidgas (pidgas) wrote :

Disabled JMicron controller, and things booted right up. Didn't miss a beat with 2.6.20-9.

Pid

clinteas (terminate111) wrote :

This bug still exists on Herd-5 for me,on an ASUS P5b MoBo,C2D E6600 Processor,JMicron Controller.Disabling the controller makes it bootable,just without CD-Rom,as mentioned before.

clint

clinteas (terminate111) wrote :

Interestingly,the above (disabling the JMicron controller makes feisty bootable)only applies to the LiveCD of Herd-5,once installed/upgraded to Herd-5 via apt on disk,the Kernel 2.6.20-9 does not boot,even with the controller disabled !

clint

Higinio Raventós (higiraven) wrote :

I have got P5b mobo and E6600 as well. With Herd5, nothing has changed. If I disable JMicron Controller, it boots, if I don't, it doesn't boot. Nothing new.

Francesco Fumanti (frafu) wrote :

I succeeded in booting by adding irqpoll to the boot options of the 2.6.20-9 kernel. (as suggested in duplicate #78288 of the bug)

Higinio Raventós (higiraven) wrote :

adding irqpoll option did not do anything for me. Still freezing.

clinteas (terminate111) wrote :

I have to say,im rather disappointed with how this bug is handled....
I assembled a testing PC tonight,P4 3 GB,gigabyte board,nothing flash,and it booted the Herd-4 CD nicely,installed everything in a flash,no worries at all,works like a charm.
We have known about this bug for what,3 months now,and no fix on the horizon,any Linuxer with a >2.6.17 kernel and /or c2d processor is just fucked??
Mr Shuttleworth,have a look at whos getting your funds !!!

Francesco Fumanti (frafu) wrote :

Maybe it is finally not a duplicate of bug #78288, because I am not the only one to report on #78288 to succeed to boot with the irqpoll option...

Sorry if I did a mistake.

Higinio Raventós (higiraven) wrote :

I do not know your criteria for setting what the importance of a bug is.

What I know is that a _huge_ amount of people are having this problem and cannot boot. I usually write in the ubuntu forums, and there are _A LOT_ of posts related to this issue.

Shouldn't this bug be assigned as _CRITICAL_? I am just telling what my opinion is, but this issue has meant an exceptionally important regression for Ubuntu.

Dennis Schmitz (deezid) wrote :

Same problem here.
Irqpoll works

Why would this not be fixed?

regards Dennis

Ryan Ackley (raackley) wrote :

I also can not boot into the 2.6.20-8,9 kernels with my Gigabyte 965P-DS3 motherboard. I've updated to the latest F10 BIOS and still have the same problem.

I have same problem. My mobo is Asus P5VD2-X. Will be present the fix in next Herd version?

hanocri (piotr-stolarski) wrote :

I've got GA-965P-S3 mabo, Seagate 250GB S-ATA and ASUS DVD-RW S-ATA. Ubuntu Feisty Herd 4, Herd 5 don't boot from live CD. Options "noapic nolapic irqpoll" don't work, still the same message: "/bin/sh/: can't access tty; job control turned off." ... :(

Rafał Próchniak (burlap) wrote :

For GA-965P-S3 I can only add that these errors appear with SATA HDD (Seagate) no matter whether its connected to ICH8 or GIGABYTE SATA ports and with different BIOS settings...

Richard Feynman (f-nies) wrote :

I have a Asus P5B-E Plus with a C2D E6300, SATA HDD and the same issue here.
No boot with herd 4 and 5 (amd64 version), same messages as hanocri and
no solution......
I think this is a serious problem for a bunch of guys....

Spotworks LLC (spotworks) wrote :

Same issue with Asus M2N-SLI w/ AMD X2 4600+ processor. Testing with JMicron disabled now.

hanocri (piotr-stolarski) wrote :

Today, I've downloaded Fedora Core 7 test 2 Live (kernel version 2.6.20 release 1.2949.fc7) and it booted without problems. Both SATA drives (HDD and DVD-RW) are visible on system. So, maybe it is not only or it is not at all a problem with kernel.

Francesco Fumanti (frafu) wrote :

People report the same on bug#78288:

Kernel not working without irqpoll option, but they have no problem with Fedora.

Kyle McMartin (kyle) wrote :

Does booting with "acpi=off" help at all? It seems to be a temporary fix for me...

Cheers,
 Kyle

Kyle McMartin (kyle) wrote :

Clearly unfixed in 2.6.20-9...

Changed in linux-source-2.6.20:
importance: High → Critical
status: Fix Committed → Confirmed
juice (artur-makowka) wrote :

got the same problem on Gigabyte 965P-S3 , i don't see option to turn off JMicron so i can't do anything. i managed to install 6.06 from USB, then upgrade it to 6.10, but upgrading to alpha 5 with kernel 2.6.20 just breaks it and i need 2.6.20 as my network card support is there. so i can't use ubuntu. but hey - debian works ok. and they are said to be so slow in updates, go figure.

Higinio Raventós (higiraven) wrote :

Same problem with Kernel 2.6.20-10

$uname -a
2.6.20-10-generic #2 SMP Mon Mar 12 00:02:49 UTC 2007 i686 GNU/Linux

Still can't boot with JMicron Controller enabled.

Higinio Raventós (higiraven) wrote :

Booting with acpi=off does not fix the issue. Still having the same problem.

description: updated

The problem clearly emerged in 2.6.20-8, so can't someone proficient look into the changelog?

Moritz Schneider (neoxan) wrote :

Why does it take so long to fix that Problem? :(

cestuila (cestuila) wrote :

idem here:
asus p5b de luxe (jmicron ahci)

Gigabyte GA-965GM-S2 not fixed by 2.6.20-10.7, still stuck at 2.6.20-6.11 to boot.

cestuila (cestuila) wrote :

Adding :
libata
pata_jmicron
ata_piix
ahci
ata_generic

to my /etc/initramfs-tools/modules

and running : update-initramfs -u did the job !!

You know what ?
I'm happy !

Trevor Wermund (twermund) wrote :

@cestulia:

Would you mind expanding how you went about doing that, because I'm kind of confused.

Ryan Ackley (raackley) wrote :

"

Adding :
libata
pata_jmicron
ata_piix
ahci
ata_generic

to my /etc/initramfs-tools/modules

and running : update-initramfs -u did the job !!

You know what ?
I'm happy !"

I can confirm this. The fix worked for me on my Gigabyte 965P-DS3. Now all we need is for the next development release to include this fix so I don't have to install from Herd3 anymore!

Cestulia's workaround from comment #59 worked here too (Gigabyte 965P-DS4 mainboard with two hard discs on the jmicron controller). Everything seems fine so far, only the old hard drives changed from beeing /dev/hd* to /dev/sd*.

Ben Collins (ben-collins) wrote :

Could someone provide the dmesg output and "lspci -vvn" from the machine booted with the initramfs workaround?

Yann Klis (strass) wrote :

Here is the output of dmesg

Yann Klis (strass) wrote :

Here is the output of lspci -vvn

Higinio Raventós (higiraven) wrote :

Oh, this actually fixes the problem

Yann Klis (strass) wrote :

Here is the output of lspci -vvn (now with sudo.... sorry)

Here is my output from 'dmesg'.

And here the output of 'lspci -vvn'

Ben Collins (ben-collins) wrote :

Can I also get folks to try adding combined_mode=libata to their kernel command line as well.

Higinio Raventós (higiraven) wrote :

Adding combined_mode=libdata to the booting parameters of the kernel in grub:

With the initramfs workaround, the kernel booted normally...

Without the intramfs workaround, the kernel did not boot.

cestuila (cestuila) wrote :

"

To Trevor Wermund
"@cestulia:

Would you mind expanding how you went about doing that, because I'm kind of confused."

Well, some weeks ago after i update kernel, feisty dont boot, so i made a new entry in grub menu.lst with old (working)initrd (which was .bak), and all new kernel boot but with the old initrd , so it was not kernel fault but initrd fault.

When i update to last kernel, the old initrd did not work (not a surprise), and the error message at boot was about modprobe error, so the only thing i can do without rebuild kernel with modules "in" was to add suspected modules in /etc/initramfs-tools/modules....that's all.
(sorry for my english !)
I'm glad to see that it work for other people.

Changed in linux-source-2.6.20:
status: Confirmed → Fix Committed

2.6.20.11.7 does not boot for me, so I assume unfixed...

Darren Albers (dalbers) wrote :

I have 2.6.20-11.18 and still no luck booting. With nosplash this is what I see (If this is a different bug please let me know):

/dev/disk/by-uuid/fa919846...... does not exist, dropping to shell

Here is what I tried and did not work:

dpkg -L =>

ii linux-image-2.6.20-11-generic 2.6.20-11.18 Linux kernel image for version 2.6.20 on x86/x86_64
ii linux-image-generic 2.6.20.11.7 Generic Linux kernel image

/boot/grub/menu.lst =>

title Ubuntu, kernel 2.6.20-11-generic
root (hd0,0)
kernel /boot/vmlinuz-2.6.20-11-generic root=UUID=df55a117-a41e-49e8-b6ec-657f064f0c12 ro quiet splash
initrd /boot/initrd.img-2.6.20-11-generic
quiet
savedefault

Higinio Raventós (higiraven) wrote :

Same exact bug in 2.6.20-11 kernel

description: updated

Now it will take another 20 days to fix that bug... omg

OK
All is working now for me with 2.6.20-12.19.
I have an intel DG965ry

Higinio Raventós (higiraven) wrote :

I can still reproduce the bug in 2.6.20-12 kernel.

description: updated
Sebastian Urban (surban) wrote :

2.6.20-12 fixed the bug for me. (Intel iMac Core 2 Duo)

Guys, if you add this modules:

libata
pata_jmicron
ata_piix
ahci
ata_generic

to the /etc/initramfs-tools/modules file

Problem is solved! :)

It doesn't matter the /etc/fstab or the /boot/grub/menu.lst files... and the new UUID.

*** Ubuntu devs should build those into kernel, not as modules. ***

-------------
I have the 2.6.20-11-generic kernel and I've upgraded from Edgy (2.6.17-11-generic)

My system is: Giga-byte G965-S3 / Intel Core 2 Duo 4300 / JMicron AHCI Controller enabled.
--------------

P.S.: the system runs faster the Edgy, the applications starts faster

Higinio Raventós (higiraven) wrote :

we already know that, but we want a fix to be included in the kernel

Changed in linux-source-2.6.20:
status: Fix Committed → Fix Released

2.6.20-12.19 still doesn't boot for me. Here is an extract of what I got on console:

Unable to handle kernel paging request at 000023650000197b RIP ffffffff8023d945 strnlen+0x5/0x30
PGD 0
Ooops: 0000 [1] SMP

There's "do_ide_setup_pci_device" in the backtrace. After a while I get a busybox shell but I don't know what to do so I rebooted to 2.6.20-6.

Out of curiosity, is the problem reproduced within the ubuntu kernel team? Is there anything that would help from us testers?

Thanks in advance,

Laurent

nickp (pnick) wrote :

The problem remains here with 2.6.20-12.19, the last kernel I can boot with is 2.6.20-6.11.

I'm using a Gigabyte GA-965G-DS3 & Core 2 Duo E6600.

RobMueller (ubuntu-robm) wrote :

I also have the exact same setup, a Gigabyte GA-965G-DS3 & Core 2 Duo E6600 and get the error:

`/sbin/modprobe` abnormal exit

2.6.20-6.11 is the last kernel I can boot with, all kernels I've tried since fail.

Here an other negative. Kernel 2.6.20-12.19 didn't change anything, modprobe still crashes.

       Target: herd-5 => 7.04-beta
Doesnt that tell us, it will be fixed in the beta?

A maybe unrelated success report: I've managed to boot a -12er kernel while I've been unable to since -6. I've had the fix above applied and also changed the root= entry in grub from /dev/sda1 to /dev/hda1. Somehow, UUID didn't work, don't ask me why, but anyway: I'm running a current feisty kernel. However, I'm not sure this is the same bug, since I don't remember waiting long enough to see a modprobe error message, but maybe this helps someone.

I've just updated the linux-generic package to 2.6.20.12.8 and I've removed the modules I put in /etc/initramfs-tools/modules file... then rebooted the PC and everything works like a charm :)

P.S.: I am still using the 2.6.20-11.18-generic kernel image.

I'll upgrade the kernel image to 2.6.20-12.19 right now and see if it still works.

Nope. Doesn't work guys! Same problem... /sbin/modprobe abnormal exit

So it's working in the combination above.

linux-image-2.6.20-11-generic (2.6.20.-11.18) + linux-generic 2.6.20.12.8

UBfusion (ubfusion) wrote :

Still not working on 0320 amd64 desktop, the live cd cannot boot.

I don't know if this is helpful, but all recent days' live cds during boot attempt to access the floppy about 15 times, then the sequence results in "abnormal exit".

Could someone please explain why this bug is categorised as "fixed" on March 18?

Specs: Asus P5B-VM, with 965 chipset, Jmicron controller, Core 2 Duo E6300

UBfusion (ubfusion) wrote :

Sorry to be a pita, but I have made a similar comment in bug #93648 and I repost it here reversed, just in case the testers and developers of the 2 bugs have no interaction: Bug #93648 has the same symptoms (modprobe abnormal exit) with the present one and both seem to be related to ICHx Intel chipsets.

The strange thing is that this one is declared "fix released" while the other is still in heavy debugging. Could the testers and developers please have a look at the above bug activity?

From the discussion in bug #93648 it seems that ICH6 and ICH8 don't boot, while ICH7 is rather fixed. Is it possible that this thread's success stories refer only to ICH7?

Thomas Hotz (thotz) wrote :

Higinio Raventós: I have just spoken with Ben Collins. Could you try the _latest_ daily build please. This also applies for all the other people who still have problems.

Does it fix your issues or have you still problems? Then I'll reopen this bug. Thank you.

I tried the daily build from 20/03/07, this one doesnt work. Maybe because
it still got 2.6.20-12.19. I think we would have to wait for the next daily
build. :)
Thanks for the notice, Thomas Hotz.

Thomas: By the "latest daily", do you mean the kernel Ben Collins posted earlier today at http://people.ubuntu.com/~bcollins/kernels/bug-93648/linux-image-2.6.20-12-generic_2.6.20-12.20_i386.deb (link given in bug 93648 )

Or one of the feisty daily builds from http://cdimage.ubuntu.com/daily-live/current/ or http://cdimage.ubuntu.com/daily/current/ ?

These appear to have "linux-source-2.6.20_2.6.20-12.19" (based on what is listed in http://cdimage.ubuntu.com/daily/current/source/feisty-src-1.list ), which is presumably not as new as Ben's 2.6.20-12.20

Or pulling from somewhere else that I am unaware of?

Thanks for the clarification!

I also need a precise URL of stuff to download and commands to type to install to be able to test something (I'm willing to ...).

cestuila (cestuila) wrote :

Sorry but....2.6.20-12.20 does not work for me.
...../sbin/modprobe abnormal exit
Asus p5b de luxe , jmicron (ahci).

nickp (pnick) wrote :

Same problem on a Gigabyte GA-965G-DS3 with 2.6.20-12.20.

Thomas Hotz (thotz) wrote :

Reopening because people reported that it is _not_ fixed.

Affects Gigabyte GA-965G-DS3, Asus P5B (De Luxe),...

Changed in linux-source-2.6.20:
status: Fix Released → Confirmed
UBfusion (ubfusion) wrote :

Still same problem on Asus P5B-VM (ICH8 + Jmicron) with 2.6.20-12.20, amd64 live 0322 does not boot.

From what it seems this kernel has fixed ICH6 problems (see bug #93648). We keep praying for a 0322.1 or a 0323.

Same problem with Ubuntu AMD 64 alternate iso from 22/3/2007.
Running Gigabyte GA-m59SLI-S5 with
AMD64x2 and
4 SATA drives no IDE
Was able to to start Rescue a System option from boot disk using noapic option but even though it looked like it had installed the system it will not boot from hard drive.
The Kubuntu Herd 3 live disk booted the system happily using the noapic option.

Higinio Raventós (higiraven) wrote :

Thomas Hotz: Sorry for the delay, but I didn't have time to test it before.

Latest daily build does not fix anything for me.

Changed in linux-source-2.6.20:
assignee: ben-collins → ubuntu-kernel-team

There's a serious lack of consistent information here. None of the info really helps and I strongly believe that a lot of you are experiencing very different bugs, just showing the same symptom.

What I need people to do is boot without the "quiet splash" command line args. Easiest way to do this is to choose the "rescue mode" option in grub.

Once the boot stops, hopefully you'll observe some errors or even a crash. A digital photo or hand written copy of this crash/error is what's important. I've had one user who's crash was early in ohci1394, not even related to the disk, but it kept other modules from being loaded. So this is the kind of info I need.

If the crash goes off-screen, then possibly adding something like vga=773 (or 772 or 771) to the kernel command line to see more output from the problem.

Thanks

Changed in linux-source-2.6.20:
assignee: ubuntu-kernel-team → ben-collins
status: Confirmed → In Progress

Bug #86156 has the calltrace of modprobe's crash on a board with the JMicron controller chip. I have the exact same calltrace on an other board with the same JMicron chip.

I think that is the same bug as here, but only calltraces from other people's crashes can tell for sure.

Ben Collins (ben-collins) wrote :

> Bug #86156 has the calltrace of modprobe's crash on a board
> with the JMicron controller chip. I have the exact same calltrace
> on an other board with the same JMicron chip.

And this call trace is reproduced with the latest 2.6.20-12.20 kernel?

Ben Collins (ben-collins) wrote :

Found the bug, and it's strictly related to jmicron. Somehow the jmicron entries were left in generic.ko, but without accompanying chipsets_generic[] entry, which led to a bad pointer when it came time to show the chipset name.

This is fixed in my git. It's unfortunate that I didn't get it done in time for beta, but I will be uploading this kernel on Saturday, so by early next week you should start seeing it on mirrors.

Changed in linux-source-2.6.20:
status: In Progress → Fix Committed

> Found the bug, and it's strictly related to jmicron. [...]
> This is fixed in my git. It's unfortunate that I didn't get it done in
> time for beta, but I will be uploading this kernel on Saturday, so by
> early next week you should start seeing it on mirrors.

Great news, your effort is much appreciated. Thanks.

Higinio Raventós (higiraven) wrote :

Mr. Collins: I have just done what you said. I got the following.

[1.716365] [<f8859090>] generic_init_one+0x0/0xc0 [generic]
[1.716427] [<c01fb2f6>] pci_device_probe+0x56/0x80
[1.716488] [<cc0257316>] really_probe+0x66/0x190
[1.716549] [<c0257489>] driver_probe_device+0x49/0xc0
[1.716675] [<cc014416d>] sys_init_module+0x15d/0x1ba0
[1.717039] [<c0107a5d>] sys_mmap2+0xcd/0xd0
[1.717100] [<c0103280>] syscall_call+0x7/0xb
[1.717161] [<c02e0033>] secpath_dup++0x13/0x80
[1.717222] ==============
[1.717256] code: fd ff c6 03 25 e9 1b fd ff ff 8d 4f 04 89 4c 24 50 8b 3f 81 ff ff 0f 00 00 77 05 bf g9 fb 36 c0 8b 54 24 2c 89 f9 89 c8 eb 06 <80> 38 00 74 07 40 4a 83 fa ff 75 f4 29 c8 89 c6 8b 44 24 28 f6
[1.718909] EIP: [<c01f09cc>] vsnprintf+0x44c/0x5f0 SS:ESP 0068:dfba5cdc
[1.718999] udevd_event[2009]: run_program: '/sbin/modprobe' abnormal exit
<7>ieee1394: Initialized config rom entry 'ip1394'
[1.724869] USB Universal Host Controller Interface v3.0
[1.745417] Floppy drive(s): fd0 is 1.44M
[1.766607] FDC 0 is a post-1991 82077

(after a while, the following appeared)

Check root = bootarg cat /proc/cmdline or missing modules, devices: cat /proc/modules ls /dev
ALERT! /dev/disk/by-uuid/63ce603f-9cc1-41f5-96ac-d2515462fb72 does not exist. Dropping to shell!

Busy Box v1.1.3 (Debian 1:1.1.3-3ubuntu3) Built-in shell (ash)
Enter 'help' for a list of built-in commands.

/bin/sh: can't access tty; job control turned off
(intramfs)

MightyE (mightye) wrote :

@Ben Collins:
Here are digital photos of all the screens my scrollback buffer held with quiet and splash turned off. This is with this morning's daily build:
 feisty-desktop-i386.iso 22-Mar-2007 07:43 699M Desktop CD for PC (Intel x86) computers (standard download)

Kernel reports 2.6.20-12-generic, I'm not sure what -12.xx version it is. Note that the hd* messages on the very last shot appear about 2 minutes after busybox comes up.

http://picasaweb.google.com/mightye/FeistyBootProblems?authkey=0W79ncbBcPQ

UBfusion (ubfusion) wrote :

(Does launchpad eat comments? I posted this earlier today and it dissapeared. Here it is:)

The 2 last picasaweb screenshots posted by MightyE confirm my observation regarding a floppy problem (see comment 94). I was unable to see the I/O dev fd0 error because I was booting from the live cd.

Ben must be right in his hunch that this bug is due to multiple reasons.

I experience similar problems: 2.6.20-6 works, all subsequent kernels fail at startup. My motherboard is Gigabyte GA-965P-DS3

saads (shakhshir) wrote :

I get the same errors as in this thread but on an Acer Travelmate 270 laptop. lspci doesn't have any jMicron controller listed and I'm fairly certain from the hardware spec that my laptop doesn't have that controller. What information can I provide that would be helpful to fix this?

Memo (memo-cj-ro) wrote :

Latest Live CD Ubuntu 7.04 "Feisty Fawn" - Beta amd64 (20070322) does not boot correctly. I have reported this in the Iso test tracker:
https://bugs.launchpad.net/ubuntu-iso-tests/+bug/93121/comments/31

Changed in linux-source-2.6.20:
status: Fix Committed → Fix Released

I confirm 2.6.20-13 now boot on my machine!

Kudos to Ben Collins .

JoseStefan (josestefan) wrote :

/daily-live/20070325/feisty-desktop-i386.iso
cfd65d5071b23584306c7b0533b5a226 *feisty-desktop-i386.iso
Motherboard: Gigabyte GA-965P-S3 (rev 1.0, bios F8)

Still does not work. However, herd-3 daily-live works.

I get the busy box. If you know of anyway of dumping the boot text into a file, while using a live CD, I would gladly do that. But digital camera shots is not do-able at the time.

Eric B.. (wavrunrx) wrote :

yeah, still not working for me either;

--daily build march 25 2007

asus p5b deluxe.

...the same busy box error.

cestuila (cestuila) wrote :

Yesssss...........2.6.20-13 works !!
Asus p5b de luxe jmicron (ahci)

Memo (memo-cj-ro) wrote :

I can confirm the fix. Successfully updated from Kubuntu 6.10 to Kubuntu 7.04 manually according to this method https://help.ubuntu.com/community/FeistyUpgradesManual

Asus P5B Deluxe, Jmicron IDE hdd.

Eric B.. (wavrunrx) wrote :

ok i retract my initial post ^above.

it works!

-- asus p5b deluxe.

thanks for the fix!

Casey Hendley (elcasey) wrote :

Not good. I have the same motherboard and was planning to upgrade. :(
Can anyone with a Gigabyte 965P-S3 confirm?

JoseStefan wrote:
> /daily-live/20070325/feisty-desktop-i386.iso
> cfd65d5071b23584306c7b0533b5a226 *feisty-desktop-i386.iso
> Motherboard: Gigabyte GA-965P-S3 (rev 1.0, bios F8)
>
> Still does not work. However, herd-3 daily-live works.
>
> I get the busy box. If you know of anyway of dumping the boot text into
> a file, while using a live CD, I would gladly do that. But digital
> camera shots is not do-able at the time.
>
>

Peter.J (peter-johnsson) wrote :

Still broken in the 25th daily build.

asus p5b-e mobo.

nickp (pnick) wrote :

I can now boot on a Gigabyte GA-965G-DS3 using 2.6.20-13.21.

aftertaf (david-wooffindin) wrote :

Hi,

Since I switched to Feisty i've had this problem too.

I have IDE Drives & dvd, and an integrated S-ATA controlller that I do not yet use and cannot deactivate in BIOS.

I have not yet tried any of the boot options specified, I will inform you when i test reboot with new kernel.

A Question. How can I identify the S-ATA controller chip? other than dmesg with this line:
00:1f.2 IDE interface: Intel Corporation 82801EB (ICH5) SATA Controller (rev 02)

Thanks,

David

Memo (memo-cj-ro) wrote :

The bug is fixed. You still can't boot a daily build if it doesn't have included the 2.6.20-13 kernel. You can check if the fix is included by checking the cd's manifest:

For example:
feisty-desktop-amd64.manifest
or
feisty-desktop-i386.manifest

It's useless to download the latest image for those that this bug had affected unless you see that in the manifest it is included the 2.6.20-13 kernel.

UBfusion (ubfusion) wrote :

@Gheorge: Heh, it took me 5 minutes to realize that you mean the feisty-desktop-amd64.manifest on the website and not a file in the iso....

If you mean to look at the "linux-generic" line, 0326 has 2.6.20.12.9

So it seems we have to wait one more day.... (unless there's a 0326.1 under way) Of course the CD does not boot.

Higinio Raventós (higiraven) wrote :

i cannot reproduce the bug anymore with linux-image-2.6.20-13-generic. Fixed.

Peter.J (peter-johnsson) wrote :

Is there any way i can merge the new kernel (where to download?) into the iso of the daily build i currently have? Instead of waiting for days for it to be included in the next release.

I've just upgrade to 2.6.20-13.21 a few minutes ago and it works perfect also on my GA-965P-S3 - Intel P965+ ICH8 chipset (JMicron controller) motherboard. Thank you!

RobMueller (ubuntu-robm) wrote :

Another positive result. My Gigabyte 965GM-S2 now boots 2.6.20-13 as well.

Bane (rudlavibizon) wrote :

So what do i do, now that the bug has been fixed, if i want to do a clean install of feisty beta?

Maegashira (rainerda) wrote :

@Bane
you have to download the daily built found here:
http://cdimage.ubuntu.com/daily/current/
although you will often find only the alternate install there and they very often they don't keep track of the image size < 700megs. i also need a clean install because i smashed my system with an early update before this was fixed. still waiting for the next beta.

Peter.J (peter-johnsson) wrote :

Confirmed in the 27th daily build, kernel 2.6.20.13 :D

Great work guys.

Unfortunately the fix still does not work for me :-). Again, I have a new
system with Abit AB9 Pro motherboard. I was looking into the Bios setting
and it actually has 2 SATA controllers: JMicron and Sil3121 (or something
like that). Both controllers are set to PCI mode although only the JMicron
has the ACHI (?) mode.

In any case, I just downloaded the current Feisty (with the March 27 date)
and tried to boot it. I got a bunch of messages that looked different than
befoer but the end result was pretty much the same. At the end I was
getting a series of messages for ata5 stating things like "failed to set
xfermode" then "failed to recover some devices", then "retrying in 5 sec".
After a few seconds a very similar series but saying something about
limiting UDMA speed to 133 then to 100. The same series appeared for ata6
and after that I got the "ATA abnormal exit" thing and this was it.

Is my motherboard that peculiar? Anybody else with Abit out there having
the same or different luck.

Finally (and I am repeating myself), I do not understand WHY CAN I BOOT 6.10
just fine???

Thanks for everybody's efforts although the results are very disappointing
for me - it looks like I will be stuck with running Windows for a while.
Any words of wisdom or suggestions will be greatly appreciated,

Andy

----- Original Message -----
From: "Bane" <email address hidden>
To: <email address hidden>
Sent: Monday, March 26, 2007 5:09 PM
Subject: [Bug 84964] Re: Crash from ide_pci from generic.ko for
jmicroncontrollers

So what do i do, now that the bug has been fixed, if i want to do a
clean install of feisty beta?

--
Crash from ide_pci from generic.ko for jmicron controllers
https://launchpad.net/bugs/84964

Thanks for your considerate assistance.

I get ISO image from "http://cdimage.ubuntu.com/daily-live/current", and
burn it to a CD.
Then boot computer from this CD. And I tried install ubuntu 7.04.

First time, install progress is look like success. But after select
language(Korean), the moniter screen change like "red rain". So, I can't
install ubuntu 7.04.

Then, I tried again.
This time, I select English language. Thereupon, I can install ubuntu 7.04.
After install, I change language to Korean.

Well, because your kindly assistance, I can experience ubuntu 7.04.

Thanks very much!! You are a good men.

2007/3/27, Peter.J <email address hidden>:
>
> Confirmed in the 27th daily build, kernel 2.6.20.13 :D
>
> Great work guys.
>
> --
> Crash from ide_pci from generic.ko for jmicron controllers
> https://launchpad.net/bugs/84964
>

Thanks for your considerate assistance.

I get ISO image from "http://cdimage.ubuntu.com/daily-live/current", and
burn it to a CD.
Then boot computer from this CD. And I tried install ubuntu 7.04.

First time, install progress is look like success. But after select
language(Korean), the moniter screen change like "red rain". So, I can't
install ubuntu 7.04.

Then, I tried again.
This time, I select English language. Thereupon, I can install ubuntu 7.04.
After install, I change language to Korean.

Well, because your kindly assistance, I can experience ubuntu 7.04.

Thanks very much!! You are a good men.

2007/3/28, apjaworski <email address hidden>:
>
> Unfortunately the fix still does not work for me :-). Again, I have a new
> system with Abit AB9 Pro motherboard. I was looking into the Bios setting
> and it actually has 2 SATA controllers: JMicron and Sil3121 (or something
> like that). Both controllers are set to PCI mode although only the
> JMicron
> has the ACHI (?) mode.
>
> In any case, I just downloaded the current Feisty (with the March 27 date)
> and tried to boot it. I got a bunch of messages that looked different
> than
> befoer but the end result was pretty much the same. At the end I was
> getting a series of messages for ata5 stating things like "failed to set
> xfermode" then "failed to recover some devices", then "retrying in 5 sec".
> After a few seconds a very similar series but saying something about
> limiting UDMA speed to 133 then to 100. The same series appeared for ata6
> and after that I got the "ATA abnormal exit" thing and this was it.
>
> Is my motherboard that peculiar? Anybody else with Abit out there having
> the same or different luck.
>
> Finally (and I am repeating myself), I do not understand WHY CAN I BOOT
> 6.10
> just fine???
>
> Thanks for everybody's efforts although the results are very disappointing
> for me - it looks like I will be stuck with running Windows for a while.
> Any words of wisdom or suggestions will be greatly appreciated,
>
> Andy
>
>
> ----- Original Message -----
> From: "Bane" <email address hidden>
> To: <email address hidden>
> Sent: Monday, March 26, 2007 5:09 PM
> Subject: [Bug 84964] Re: Crash from ide_pci from generic.ko for
> jmicroncontrollers
>
>
> So what do i do, now that the bug has been fixed, if i want to do a
> clean install of feisty beta?
>
> --
> Crash from ide_pci from generic.ko for jmicron controllers
> https://launchpad.net/bugs/84964
>
> --
> Crash from ide_pci from generic.ko for jmicron controllers
> https://launchpad.net/bugs/84964
>

Matti Laakso (matti-laakso) wrote :

I have two systems with a JMicron-controller. First one has an Asus Commando motherboard, and it works perfectly as of 2.6.20-13.

The second one with Abit AB9 still does not work however. I get the same messages as apjaworski, i.e., it complains about a timeout with ata5 and not being able to set xfermode, then it retries two times and disables ata5. HOWEVER, ata5 corresponds to my primary hard disk, which is not connected to JMicron, rather it is connected to ICH8 SATA-port. So this may be a different bug altogether. Edgy works fine though, and so did Feisty with kernel 2.6.19-7 (IIRC).

Problem still not fixed for me either. Attempted to use Fiesty Fawn
20070327.1 from cdimages.ubuntu.com

On Wed, 2007-03-28 at 05:35 +0000, apjaworski wrote:
> Unfortunately the fix still does not work for me :-). Again, I have a new
> system with Abit AB9 Pro motherboard. I was looking into the Bios setting
> and it actually has 2 SATA controllers: JMicron and Sil3121 (or something
> like that). Both controllers are set to PCI mode although only the JMicron
> has the ACHI (?) mode.
>
> In any case, I just downloaded the current Feisty (with the March 27 date)
> and tried to boot it. I got a bunch of messages that looked different than
> befoer but the end result was pretty much the same. At the end I was
> getting a series of messages for ata5 stating things like "failed to set
> xfermode" then "failed to recover some devices", then "retrying in 5 sec".
> After a few seconds a very similar series but saying something about
> limiting UDMA speed to 133 then to 100. The same series appeared for ata6
> and after that I got the "ATA abnormal exit" thing and this was it.
>
> Is my motherboard that peculiar? Anybody else with Abit out there having
> the same or different luck.
>
> Finally (and I am repeating myself), I do not understand WHY CAN I BOOT 6.10
> just fine???
>
> Thanks for everybody's efforts although the results are very disappointing
> for me - it looks like I will be stuck with running Windows for a while.
> Any words of wisdom or suggestions will be greatly appreciated,
>
> Andy
>
>
> ----- Original Message -----
> From: "Bane" <email address hidden>
> To: <email address hidden>
> Sent: Monday, March 26, 2007 5:09 PM
> Subject: [Bug 84964] Re: Crash from ide_pci from generic.ko for
> jmicroncontrollers
>
>
> So what do i do, now that the bug has been fixed, if i want to do a
> clean install of feisty beta?
>
> --
> Crash from ide_pci from generic.ko for jmicron controllers
> https://launchpad.net/bugs/84964
>

UBfusion (ubfusion) wrote :

I confirm that Asus P5B-VM (with ICH8 and JMicron) now boots the 0326 amd64 live cd.

I tested with the RAID option for JMicron. Remains to be seen whether the AHCI and BASIC options work too.

UBfusion (ubfusion) wrote :

Correction to my previous comment above (#114) - I meant that 0327(.0) build was OK.

mkgs (mohan-kgs) wrote :

0327 build amd64 image works fine on ASUS P5B-E mobo (with ICH8 and JMicron), Core2Duo and SATA drives. Note I did not try RAID options in these SATA drives yet, they are used as IDE device for now. Sata drives are connected to ICH8 controller and CD ROM connected to JMicron controller.

Thanks for fixing this issue.

JoseStefan (josestefan) wrote :

Fixed for me too, on the current daily.

In regards to my last post, seems like the new kernel was not in the disc by then, which would explain the results.

Alex Willmer (alex-moreati) wrote :

Latest kernel has fixed this for me on an Asus P5B VM, original reprt was bug 86156

takai (chrisp-plebeians) wrote :

I am having this issue again with the 20070329 nightly build. Main issue comes post-install, with the SATA controller (either JMicron or ICH8) not being able to set xfermode properly.

Hw: Asus P5B-Deluxe, 500gb SATA (connected on either JMicron or ICH8)

takai (chrisp-plebeians) wrote :

Ok, regarding my last post i have now fixed it by blacklisting intel_agp and adding irqpoll to the boot line, and fiddling with the JMicron and ICH8 settings in the bios.

Bane (rudlavibizon) wrote :

I made a mistake and did a clean install of daily build 29.03. Now i can boot only if i disable jmicron controller in bios but then i can't use dvd-rw. When i boot with jmicron enabled i have "error 17: cannot mount selected partition". Can anyone suggest what should i do to fix this.

[core2duo, asus p5b]

godot (godotcg-launchpad) wrote :

takai and others still having problems with sata complaining with xfermode, you may be interested by this bug report : https://bugs.launchpad.net/ubuntu/+source/linux-source-2.6.20/+bug/90715

simdoly (simdoly) wrote :

Today, I tried install daily build 30.03.2007
The installer screen can't visible.
Problem still not fixed.

Intel Core 2 Duo 6300
GIGABYTE GA-965P-DS3
ATI Radeon X1950GT / 512 MB GDDR2
Samsung DVD-Multi SH-S183L
22" Wide monitor

Sorry, I poor at English.....

siucdude (siucdude) wrote :

Just wanted to say, I get the same issue with two sata drives, the daily and any fisty cd wont load. edgy is no problem.

Crakie (baloedebruinebeer) wrote :

The fix also does not work perfectly for me (Abit AB9 Pro board with Jmicron and ICH8 controllers).

I did manage to install the daily build of April 1th with the "pci=biosirq" option in the bootloader. Feisty boots now, but only with pci=biosirq noapic nolapic acpi=of options in grub.

Ariyau (hawaii5o) wrote :

I installed and booted the 2007-04-07 build without any problem. One SATA HD on ICH8 and one on the Jmicron set as IDE. Asus P5B-E mobo. Grub seems to get confused which mbr to install in, it seems to choose the ide (/dev/sdb) by default. Fixed by specifying the /dev/sda.

Thanks for the effort.

/dev/sdb is the SATA drive. See if you have /dev/hda which would be your
IDE drive.

On 4/9/07, Ariyau <email address hidden> wrote:
>
> I installed and booted the 2007-04-07 build without any problem. One
> SATA HD on ICH8 and one on the Jmicron set as IDE. Asus P5B-E mobo.
> Grub seems to get confused which mbr to install in, it seems to choose
> the ide (/dev/sdb) by default. Fixed by specifying the /dev/sda.
>
> Thanks for the effort.
>
> --
> Crash from ide_pci from generic.ko for jmicron controllers
> https://bugs.launchpad.net/bugs/84964
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>

juice (artur-makowka) wrote :

still got the same problem with http://cdimage.ubuntu.com/daily/current/feisty-alternate-i386.iso from 10 April.

Gigabyte 965P-S3 , trying to install it on IDE HDD connected to JMicron

modprobe is showing some errors and i got dropped to busybox sh

it complains about missing /dev/root/dev or some /root/.static/something...

and if i check ls /dev/sd* or ls /dev/hd* when on busybox sh, i get nothing.
system works fine on windows and debian

Aaron (soulblade) wrote :

Hi there

I have a 965P-DS3 with a E6300.

2.6.20-14 - did not boot.
2.6.20-15 - does boot !!!

simdoly (simdoly) wrote :

Aaron!
Me too.

I have a 965P-DS3, E6300 and ATI 1950GT.
I update some files yesterday. And reboot system. But did not boot.
Help~~!!

Aaron (soulblade) wrote :

@simdoly

Hi

As soon as you turn your PC on. look for the count down at the lower left of the screen.

Press Esc and pick the oldest kernel.

Once you have booted in ubuntu run the update again and i should down load 2.6.20-15 and that might fix the problem.

For now, I have gone back to 6.10 but are looking forwards to the final 7.04.

Daniel Matysiak (dmatysiak) wrote :

I have posted about a similar problem on bug #96084. Attached is the error I get when trying to begin the Feisty installation (I have disabled my JMicron controller and the same error occurs). Of course, the installation does not proceed. I too have an Intel Core 2 Duo (E6600), abit AB9 pro motherboard, geforce 7600gt,,, lspci is linked to here: https://bugs.launchpad.net/ubuntu/+source/initramfs-tools/+bug/96084/comments/49

cjv (cjv133) wrote :

I think I may have the same problem, I have a HP Compaq nc8430 laptop (precise hw config at the end). I've been running 6.10 ok, but trying clean 7.04 install crashes with the following message:

------------------------------------------
BusyBox v1.1.3 (Deian 1:1.1.3-3ubuntu3) Built-in shell (ash)
Enter 'help' for a list of built-in commands.

/bin/sh: can't access tty; job control turned off
(initramfs) [ 24.808000] ata5.00: exception Emask 0x0 SAct 0x0 SErr 0x0 action ....
0x2 frozen
[ 24.808000] ata5.00: cmd a0/01:00:00:00:00/00:00:00:00:00/a0 tag 0 cdb 0x12 ....
ata 36 in
[ 30.804000] ata5.00: exception Emask 0x0 SAct 0x0 SErr 0x0 action 0x2 frozen
[ 30.804000] ata5.00: cmd a0/01:00:00:00:00/00:00:00:00:00/a0 tag 0 cdb 0x12 ....
ata 36 in
------------------------------------------

No matter what resolutions I try or parameters added. ISOs've been md5 checked.

I've tried also the Alternate ISO: it installs (weird) but then it doesn't boot at all.

Carlos

------------------------------------------
Laptop hw config:

- ATI Mobility Radeon X1600 PCI-Express x16
- 2GB RAM DDR2 dual-channel 2 x 1Gb PC2-5300 (333 MHz) 5-5-5-15-20
- Seagate Momentus 7200.1 ST 980825AS harddisk - 80 GB - SATA-150
- Intel Core Duo T2400
- Intel i945PM motherboard

David Nichols (dwnichols) wrote :

I had a similar problem installing from the Feisty LiveCD using an Asus P4S333-VM motherboard. This motherboard does not have any SATA functionality, nor do I have any SATA plugin cards. The only cards I have installed are a Soundblaster Live 5.1 and an Asus N6200 AGP card. The installation went fine, but the first boot failed with the modprobe abnormal exit. After several reboots, I got to one of the alternate terminals and find that the machine is getting stuck while working with the attached USB devices. (I have a generic 4-port hub by CyberPower and a USB 2.0 7-1 media reader built into my floppy drive.) I have three hard drives on my system. hda is (will be) / and /boot for ubuntu as well as /boot for fedora 6. hdb is DOS6.22, the swap file for ubuntu and fedora and / for fedora. hdc is WindowsXP and hdd is a DVD writer. I disconnect both USB devices and every drive except for hda and hdd. Boot LiveCD, install, everything boots fine. Installed hdb. Re-install Fiesty, everything boots fine. Install hdc. Everything boots fine. I then plug in my hub under power. I reboot, and the system freezes (no Num Lock toggle). Once. After that, it boots fine. Turn off power, install the media reader on an internal USB header, reboot.... And everything boots fine.

I've spent about three hours on this, but I haven't actually started using the system yet. I'm willing to re-install and see if I can replicate the problem if someone can tell me how to generate useful log files.

cjv (cjv133) wrote :

Regarding my post on 2007-04-14, just to inform that the recently downloaded feisty-desktop-i386.iso from the 15-Apr-2007 with kernel 2.6.20-15 (as written in manifest) fails with exactly the same simptoms as written on previous mails.
In my humble opinion, this bug is NOT fixed.

I suppose it's not much help, but just to inform, I've installed and running ok Suse 10.2 and FC6. But by far I prefer Ubuntu. Any help would be appreciated.

zeno (zeno-78) wrote :

I have the same problem explained here on a abit ab9 with Intel Core 2 duo (e6320). The exact problem of Daniel Matysiak. Please, if you need more info i will be very pleased to give it. It's a very big problem for me since i only use Ubuntu as O.S. and i have a new PC completely stopped due to this critical bug :(
Hope to hear news very soon.
ZeNo

zeno (zeno-78) wrote :

This is my "adventure":
i installed ubuntu feisty 7.04 with noapic and irqpoll options and i had a problem when partitioning... i couldn't do a manual partition, so i installed with the automatic partition. After the installation, when the system boot, i have a lot of errors on the ATA and the system hangs anf gives me the error "/bin/sh: can't access tty; job control turned off". After that i found a guide on the web where there was some tips to install ubuntu 6.10 on my abit ab9 motherboard. The guide says to install using irqpoll options at boot (i need also noapic) and it says to attach the hard disk to the jmicron sata port and disable Os usb legacy support in the bios. With these tips i installed ubuntu 6.10 but i can't use the mouse. Then, when i make a apt-get update/upgrade i can't boot: another time a lot of error messages about a problem on the ata (same errors reported here). So, i tried to disable the jmicron port in the bios and i tried to boot with the hard disk connected to the ICH8 sata ports and the system started but, another time, i couldn't use the mouse. I made an upgrade to feisty but the upgrade hanged and now i can't boot because of a problem on /dev/sda1 that seems to be deleted: i receive this error at boot: "ALERT! /dev/sda1 does not exist. Dropping to a shell!".
Th question is: if i buy an IDE-SATA/PCI adapter do you think that i can boot and install my system in the meanwhile that this bug will be solved?

Chuck Smith (smith.chuck) wrote :

Is it possible there has been a regression of this in the 2.6.20-16 update that was just released? I'm experiencing nearly identical problems as reported in this thread.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Related questions